<template>
  <div class="container">
    <header class="header--sec">
      <slot name="headerTitle"></slot>
    </header>
    <section class="aside--sec">
      <slot name="categories"></slot>
    </section>
    <main class="main--sec">
      <slot name="cards"></slot>
    </main>
    <footer class="footer--sec">
      <slot name="footer"></slot>
    </footer>
  </div>
</template>

<script>
export default {
  name: 'TLayout',
};
</script>

<style scoped>
.header--sec {
  grid-area: header--sec;
  height: auto;
}
.aside--sec {
  grid-area: aside--sec;
  padding-left: 1rem;
}
.main--sec {
  grid-area: main--sec;
  padding-right: 1rem;
}
.footer--sec {
  width: 100vw;
  height: fit-content;
  grid-area: footer--sec;
}
.container {
  height: 100vh;
  width: 100vw;
  overflow-x: hidden;
  display: grid;
  grid-template-columns: 14rem 1fr;
  grid-template-rows: 80px 1fr 100px;
  grid-template-areas:
    'header--sec header--sec header--sec'
    'aside--sec main--sec main--sec'
    'footer--sec footer--sec footer--sec';
}

@media screen and (max-width: 768px) {
  .aside--sec {
    display: none;
  }
  .main--sec {
    padding-right: 0;
  }
  .container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 215px 1fr 80px;
    grid-template-areas:
      'header--sec'
      'main--sec'
      'footer--sec';
  }
}
</style>
